Kernel vulnerabilities

Releases and other announcements.
Please don't post support questions here
Forum rules
Section reserved for the team. You can reply to announcements here but not post new topics.

Re: Kernel vulnerabilities

Postby kmb42vt on Mon Mar 22, 2010 6:02 pm

Note: I'm only posting this for info purposes and not recommending anyone jump out and upgrade. Perhaps some more experienced than I can determine whether it's needed or not.

ZDNet and Ubuntu recently announced that more vulnerabilities have been found in Ubuntu's latest kernels covering versions 6.06 LTS to 9.10 (Ubuntu/Kubuntu/Xubuntu/Edubuntu) which should include Mint versions also I believe? In my case, my latest kernel is 2.6.31-20.57 in which case I would need to upgrade to 2.6.31-20.58 if I read things right.

Here's the link to the ZDNet article and another to the referenced Ubuntu announcement. The latter lists the Ubuntu versions and the various vulnerable kernel versions along with the required updates under each one:

http://blogs.zdnet.com/hardware/?p=7728

http://www.ubuntu.com/usn/USN-914-1

I found that the updates are available under "Level 5" in mintUpdate.
"Humph. Choice, it is the quintessential Linux delusion, simultaneously the source of it's greatest strength, and it's greatest weakness." (All apologies to The Architect)
User avatar
kmb42vt
Level 5
Level 5
 
Posts: 925
Joined: Sun Dec 06, 2009 11:15 am
Location: Vermont

Linux Mint is funded by ads and donations.
 

Re: Kernel vulnerabilities

Postby vidarkr on Wed Mar 31, 2010 5:41 pm

Upgrading the kernel from 2.6.31-14 to 2.6.31-20 caused a whole range of problems on my Acer Aspire 5720 ZG lap top runing Linux Mint 8 Helena

First of all the system goes into the text login prompt and stays there for approximately 2 minutes during boot up, then it starts x automatically. If I log in from the text prompt and start x manually, x will still restart automatically after those 2 minutes.

Secondly, if I don't have a CD or DVD in my drive at boot up, Linux will not find it if I insert it after boot up, likewise with memory cards, USB memory sticks and a video camera connected to the firewire interface.

The really strange thing, though, is that these problems are exactly the same if I now boot into the old kernel 2.6.31-14 from grub.

I see that many of the other people posting here says that kernel upgrade went like a dream. Not so with me, unfortunately.

Needless to say, my system is not in a condition to my liking right now.

Regards
VK
vidarkr
Level 1
Level 1
 
Posts: 13
Joined: Wed Mar 31, 2010 4:21 pm
Location: Norway

Previous

Return to Releases & Announcements

Who is online

Users browsing this forum: No registered users and 1 guest